import Jama.*;

public class TestJama
{
    public static void main(String[] args)
    {
	double[][] vals = {{-96.0, 96.0, 0.0}, {192.0, 0.0, 0.0}};
	Matrix A = new Matrix(vals);
	System.out.println("A = ");
	A.print(6,2);
	SingularValueDecomposition svd = A.svd();
	Matrix u = svd.getU();
	System.out.println("u.rows = " + u.getRowDimension());
	System.out.println("u.cols = " + u.getColumnDimension());
	System.out.println("u = ");
	u.print(6,2);
    }
}
