import sys
import os
import re

def getIP(interface="eth0"):
    if sys.platform == 'win32':
        pp = os.popen('ipconfig')
        ipmatch = re.search(r'IP Address.+: \s*(.*)\r', pp.read())
    elif re.match('linux*', sys.platform):
        pp = os.popen("/sbin/ifconfig "+interface)
        ipmatch = re.search(r'inet addr:(.*?) ',pp.read())

    if ipmatch:
        return ipmatch.group(1)
    else:
        return "No IP found"